package com.loafle.rpc.api;

import com.fasterxml.jackson.core.JsonProcessingException;

import com.googlecode.jsonrpc4j.JsonRpcMethod;
import com.googlecode.jsonrpc4j.JsonRpcService;
import com.loafle.rpc.crawler.Crawler;

import com.loafle.rpc.model.Input;
import com.loafle.rpc.model.Output;




@JsonRpcService("/rpc")
public interface Remote {

    @JsonRpcMethod("RPC.Init")
    Output init(Input input) throws JsonProcessingException;


    @JsonRpcMethod("RPC.Add")
    Output add(Input input) throws JsonProcessingException ;

//    @JsonRpcMethod("Remote.remove")
    int addDelegate(String name , Crawler crawler);

    @JsonRpcMethod("RPC.Get")
    Output get(Input input) throws JsonProcessingException;


    @JsonRpcMethod("RPC.Remove")
    Output remove(Input input) throws JsonProcessingException;


}